/*!
 * filename-regex <https://github.com/regexps/filename-regex>
 *
 * Copyright (c) 2014 Jon Schlinkert, contributors.
 * Licensed under the MIT License
 */

'use strict';

var assert = require('assert');
var re = require('./');

it('should match files without an extension or directory:', function () {
  assert.equal(re().exec('abc')[0], 'abc');
  assert.equal(re().exec('abc')[1], 'abc');
});

it('should match files without an extension:', function () {
  assert.equal(re().exec('abc/xyz')[0], 'xyz');
  assert.equal(re().exec('abc/xyz')[1], 'xyz');
  assert.equal(re().exec('abc/xyz')[2], '');
});

it('should match the parts in a filename:', function () {
  assert.equal(re().exec('abc/xyz.md')[0], 'xyz.md');
  assert.equal(re().exec('abc/xyz.md')[1], 'xyz');
  assert.equal(re().exec('abc/xyz.md')[2], '.md');
});

it('should match a file extension:', function () {
  assert.equal(re().exec('.md')[1], '');
  assert.equal(re().exec('.md')[1], '');
  assert.equal(re().exec('.md')[2], '.md');
});

it('should match a dotfile:', function () {
  assert.equal(re().exec('abc/.gitignore')[0], '.gitignore');
  assert.equal(re().exec('abc/.gitignore')[1], '');
  assert.equal(re().exec('abc/.gitignore')[2], '.gitignore');
});
